#!/bin/sh


## Linx/bash shell script to collate/copy read-mapping logs for the LHM samples passing QC, and two RG samples.

## Full logging, exit upon error, record date and time, start timer.
set -ex
echo "`date +%y/%m/%d_%H:%M:%S`"
START=$(date +%s.%N)
uname -sa
        


## These commands just list the files to be copied from sample folders to this folder.
find ../gwas_samples/*/ -type f -name "map_????.o*" -exec ls -l {} \; > mapping_log_list.txt

## These commands actually copy the relevant files into this directory.
find ../gwas_samples/????/ -name "map_????.o*" -type f -exec cp {} . \;


uname -sa
ls -la


## To do next: Upload data to public repository. i.e. zenodo.
## wpgilks@gmail.com


## Timer end, end script.
END=$(date +%s.%N)
Duration=$(echo "$END - $START" | bc)
echo "`date +%y/%m/%d_%H:%M:%S`"
echo $Duration
exit
###
###
###
